Author vstinner
Recipients vstinner
Date 2021-02-19.20:32:05
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1613766725.82.0.224144138609.issue43272@roundup.psfhosted.org>
In-reply-to
Content
AMD64 Arch Linux VintageParser 3.9:
https://buildbot.python.org/all/#/builders/495/builds/147

3 tests failed:
    test_fstring test_named_expressions test_unpack_ex

The latest success build was 4 months ago (Nov 2):
https://buildbot.python.org/all/#/builders/495/builds/107


**********************************************************************
File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_unpack_ex.py", line ?, in test.test_unpack_ex.__test__.doctests
Failed example:
    (*x),y = 1, 2 # doctest:+ELLIPSIS
Expected:
    Traceback (most recent call last):
      ...
    SyntaxError: can't use starred expression here
Got nothing
**********************************************************************
File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_unpack_ex.py", line ?, in test.test_unpack_ex.__test__.doctests
Failed example:
    (((*x))),y = 1, 2 # doctest:+ELLIPSIS
Expected:
    Traceback (most recent call last):
      ...
    SyntaxError: can't use starred expression here
Got nothing
**********************************************************************
File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_unpack_ex.py", line ?, in test.test_unpack_ex.__test__.doctests
Failed example:
    z,(*x),y = 1, 2, 4 # doctest:+ELLIPSIS
Expected:
    Traceback (most recent call last):
      ...
    SyntaxError: can't use starred expression here
Got nothing
**********************************************************************
File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_unpack_ex.py", line ?, in test.test_unpack_ex.__test__.doctests
Failed example:
    z,(*x) = 1, 2 # doctest:+ELLIPSIS
Expected:
    Traceback (most recent call last):
      ...
    SyntaxError: can't use starred expression here
Got nothing
**********************************************************************
File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_unpack_ex.py", line ?, in test.test_unpack_ex.__test__.doctests
Failed example:
    ((*x),y) = 1, 2 # doctest:+ELLIPSIS
Expected:
    Traceback (most recent call last):
      ...
    SyntaxError: can't use starred expression here
Got nothing
**********************************************************************
1 items had failures:
   5 of  91 in test.test_unpack_ex.__test__.doctests


======================================================================
FAIL: test_named_expression_invalid_rebinding_set_comprehension_iteration_variable (test.test_named_expressions.NamedExpressionInvalidTest) (case='Local reuse')
----------------------------------------------------------------------
  File "<string>", line 1
    {i := 0 for i in range(5)}
       ^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_named_expressions.py", line 185, in test_named_expression_invalid_rebinding_set_comprehension_iteration_variable
    exec(code, {}, {})
AssertionError: "assignment expression cannot rebind comprehension iteration variable 'i'" does not match "invalid syntax (<string>, line 1)"

======================================================================
FAIL: test_named_expression_invalid_rebinding_set_comprehension_iteration_variable (test.test_named_expressions.NamedExpressionInvalidTest) (case='Unpacking reuse')
----------------------------------------------------------------------
  File "<string>", line 1
    {i := 0 for i, j in {(0, 1)}}
       ^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_named_expressions.py", line 185, in test_named_expression_invalid_rebinding_set_comprehension_iteration_variable
    exec(code, {}, {})
AssertionError: "assignment expression cannot rebind comprehension iteration variable 'i'" does not match "invalid syntax (<string>, line 1)"

======================================================================
FAIL: test_named_expression_invalid_set_comprehension_iterable_expression (test.test_named_expressions.NamedExpressionInvalidTest) (case='Inside list')
----------------------------------------------------------------------
  File "<string>", line 1
    {i for i in {2, 3, i := range(5)}}
                         ^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_named_expressions.py", line 218, in test_named_expression_invalid_set_comprehension_iterable_expression
    exec(code, {}) # Module scope
AssertionError: "assignment expression cannot be used in a comprehension iterable expression" does not match "invalid syntax (<string>, line 1)"


======================================================================
FAIL: test_ast_line_numbers_with_parentheses (test.test_fstring.TestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/buildbot/buildarea/3.9.pablogsal-arch-x86_64.oldparser/build/Lib/test/test_fstring.py", line 377, in test_ast_line_numbers_with_parentheses
    self.assertEqual(call.lineno, 5)
AssertionError: 4 != 5
History
Date User Action Args
2021-02-19 20:32:05vstinnersetrecipients: + vstinner
2021-02-19 20:32:05vstinnersetmessageid: <1613766725.82.0.224144138609.issue43272@roundup.psfhosted.org>
2021-02-19 20:32:05vstinnerlinkissue43272 messages
2021-02-19 20:32:05vstinnercreate